=== debian/changelog ===
ros-kinetic-pepperl-fuchs-r2000 (0.1.3-0xenial) xenial; urgency=high

  * Initial release
  * Contributors: Denis Dillenberger, Kevin Hallenbeck

 -- Denis Dillenberger <denis.dillenberger@gmail.com>  Thu, 15 Sep 2016 04:00:00 -0000
